/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        09.11.2007
 Description:    Html Seiten

 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 

 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 

 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/
#ifndef _WEBPAGE_H
	#define _WEBPAGE_H

//****************************************************************************
//Dateien und Webseiten am ende dieser Seite in Tabelle eintragen !!!!!!!
//****************************************************************************


//----------------------------------------------------------------------------
//Dazustellende Webseite
PROGMEM char Page1[] = {
	"<head>"
	"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />\r\n"
	"<title>AVR mini Webserver</title>\r\n"
	"<style type=\"text/css\">\r\n"
	
	"<!--\r\n"
	"BODY {	margin: 0 0 0 0; background-color: rgb(200,200,200); text-align:center; }\r\n"
	"P, DIV, H1, H2 {font-family: verdana, arial; font-size: 11px;}\r\n"
	"H1 {  background-color: #CCCCFF; padding-top:5px; padding-bottom:5px;"
	"font-size: 20px; color: #004060; font-weight:bold; letter-spacing: 8px;"
	"border-top: 2px solid #EEEEEE; border-left: 2px solid #EEEEEE;"
	"border-bottom: 2px solid #004060; border-right: 2px solid #004060;}\r\n"
	"H2 { font-size: 15px; padding-top: 20px; padding-left:50px; padding-right:50px;"
	"color:#004080; font-weight:bold; text-decoration:underline;"
	"border-top: 1px solid #004080;} P, H1, H2 {margin: 0px 0px 5px 0px;}\r\n"
	"-->\r\n"
	
	"</style></head>\r\n"
	"<blockquote>\r\n"
	"<blockquote>\r\n"
	"<blockquote>\r\n"
	"<body><div align=\"center\">\r\n"
	"<h1>AVR mini Webserver</h1>\r\n"
	"</div><BR>\r\n"
	"<p>Der Webserver l&auml;uft !!!</p><div>Aktuelle Zeit: %TIME</div><BR>\r\n"
	
	//Kamerabild anzeigen oder Rakete
	//#if USE_CAM
	//"<p><img src=\"camera.jpg\" width=\"640\" height=\"480\"></p><BR>\r\n"
	//#else
	//"<p><img src=\"raket.gif\" width=\"90\" height=\"92\"></p><BR>\r\n"
	//#endif //USE_CAM		
	
	"<table style=\"background-color: rgb(190, 210, 255); width: 800px; text-align: left;\" border=\"1\">\r\n"
	"<form name=\"form1\" method=\"post\" action=\"\">\r\n"
	//anschauen httpd.c ab Zeile 124 und 172
	//Port Schalten und Status %PORTA0 bedeutet PORTA PIN0
	"<colgroup>\r\n"
    "<col width=\"140\">\r\n"
	"<col width=\"140\">\r\n"
	"<col width=\"140\">\r\n"
	"<col width=\"220\">\r\n"
	"<col width=\"120\">\r\n"
  	"</colgroup>\r\n"
	"<tr>\r\n"
	"<th scope=\"col\"><p align=\"center\">Ausgnge</p></th>\r\n"
	"<th scope=\"col\"><p align=\"center\">Eingnge</p></th>\r\n"
	"<th scope=\"col\"><p align=\"center\">Eingang</p></th>\r\n"
	"<th scope=\"col\"><p align=\"center\">Balken</p></th>\r\n"
	"<th scope=\"col\"><p align=\"center\">Temperatur [&deg;C]</p></th>\r\n"
	"</tr>\r\n"
	"<tr><td><p align=\"left\"><input type=\"checkbox\" name=\"OUT\" value=\"A\" %PORTA0>\r\n"
	"Port A Pin 0</p></td><td><p><img src=\"%PIND7\" width=\"17\" height=\"17\"> Port D Pin 7</p></td>\r\n"
	"<td><p align=\"center\">AD-Kanal0</p></td>\r\n"
	"<td><p align=\"center\"></p><img src=\"balke.gif\" width=\"%VA@00\" height=\"10\"></td>\r\n"
	"<td><p align=\"center\">%VA@00</p></td></tr>\r\n"
	
	//Port Schalten und Status %PORTA1 bedeutet PORTA PIN1
	"<tr><td><p align=\"left\"><input type=\"checkbox\" name=\"OUT\" value=\"B\" %PORTA1>\r\n"
	"Port A Pin 1</td><td><p><img src=\"%PIND6\" width=\"17\" height=\"17\"> Port D Pin 6</p></td>\r\n"
	"<td><p align=\"center\">AD-Kanal1</p></td>\r\n"
	"<td><p align=\"center\"></p><img src=\"balke.gif\" width=\"%VA@01\" height=\"10\"></td>\r\n"
	"<td><p align=\"center\">%VA@01</p></td></tr>\r\n"
	
	//Port Schalten und Status %PORTA2 bedeutet PORTA PIN2
	"<tr><td><p align=\"left\"><input type=\"checkbox\" name=\"OUT\" value=\"C\" %PORTA2>\r\n"
	"Port A Pin 2</td><td><p><img src=\"%PIND5\" width=\"17\" height=\"17\"> Port D Pin 5</p></td>\r\n"
	"<td><p align=\"center\">AD-Kanal2</p></td>\r\n"
	"<td><p align=\"center\"></p><img src=\"balke.gif\" width=\" %VA@02\"height=\"10\"></td>\r\n"
	"<td><p align=\"center\">%VA@02</p></td>\r\n"
	
	//Port Schalten und Status %PORTA3 bedeutet PORTA PIN3
	"<tr><td><p align=\"left\"><input type=\"checkbox\" name=\"OUT\" value=\"D\" %PORTA3>\r\n"
	"Port A Pin 3</p></td><td></td><td><p align=\"center\">AD-Kanal3</p></td>\r\n"
	"<td><p align=\"center\"></p><img src=\"balke.gif\" width=\" %VA@03\"height=\"10\"></td>\r\n"
	"<td><p align=\"center\">%VA@03</p></td>\r\n"
	
	//Port Schalten und Status %PORTA4 bedeutet PORTA PIN4
	"<tr><td><p align=\"left\"><p align=\"left\"><input type=\"checkbox\" name=\"OUT\" value=\"E\" %PORTA4>\r\n"
	"Port A Pin 4</p></td><td></td></tr>\r\n"
	
  	//Port Schalten und Status %PORTA5 bedeutet PORTA PIN5
	"<tr><td><p align=\"left\"><input type=\"checkbox\" name=\"OUT\" value=\"F\" %PORTA5>\r\n"
	"Port A Pin 5</p></td><td></td></tr>\r\n"
	
	//Port Schalten und Status %PORTA6 bedeutet PORTA PIN6
	"<tr><td><p align=\"left\"><input type=\"checkbox\" name=\"OUT\" value=\"G\" %PORTA6>\r\n"
	"Port A Pin 6</p></td><td></td></tr>\r\n"
  
	//Port Schalten und Status %PORTA7 bedeutet PORTA PIN7
	"<tr><td><p align=\"left\"><input type=\"checkbox\" name=\"OUT\" value=\"H\" %PORTA7>\r\n"
	"Port A Pin 7</p></td><td></td></tr>\r\n"
	
	//Rechner ber WOL einschalten
    #if USE_WOL
	"<input type=\"checkbox\" name=\"OUT\" value=\"W\">\r\n"
	"<span class=\"Stil2\">Wake On Lan</span></p>\r\n"
	"<div align=\"left\">\r\n"
	#endif //USE_WOL
    
	"<tr></tr>"
	"<tr><td></td><td><p align=\"left\">Servo: </p></td><td><input type=\"text\" id=\"SliVal\" name=\"SLI\" VALUE=\"%VA@08\" SIZE=\"3\"></td><td></td></tr>\r\n"
	"<tr><td></td><td></td><td><input type=\"submit\" name=\"SUB\" value=\"Senden\"></td><td></td></tr>\r\n"
	"</table>\r\n"
	
	//Sliderseite
	"<div align=\"center\">\r\n"
	"<BR><BR> <p align=\"left\"> <h2></h2><BR>\r\n"
	"<p><a href=\"Slider.htm\">Kamera-Servo</a></p><BR>\r\n"
	
	//Statusseite
	"<BR><BR> <p align=\"left\"> <h2></h2><BR>\r\n"
	"<p><a href=\"Status.htm\">Status</a></p><BR>\r\n"
	
	//Linkseite
	"<BR><BR> <p align=\"left\"> <h2></h2><BR>\r\n"
	"<p><a href=\"http://www.ulrichradig.de\">www.ulrichradig.de</a></p><BR>\r\n"
	"<p align=\"left\">Ulrich Radig 2009 <BR><BR></p>\r\n"
	"</body></html>\r\n"
	"%END"};	

//----------------------------------------------------------------------------
// Servoseite
PROGMEM char Page2[] = {
    "<head>"
	"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />\r\n"
	"<title>AVR mini Webserver</title>\r\n"
	"<style type=\"text/css\">\r\n"
	
	"<!--\r\n"
	"BODY {	margin: 0 0 0 0; background-color: rgb(200,200,200); text-align:center; }\r\n"
	"P, DIV, H1, H2 {font-family: verdana, arial; font-size: 11px;}\r\n"
	"H1 {  background-color: #CCCCFF; padding-top:5px; padding-bottom:5px;"
	"font-size: 20px; color: #004060; font-weight:bold; letter-spacing: 8px;"
	"border-top: 2px solid #EEEEEE; border-left: 2px solid #EEEEEE;"
	"border-bottom: 2px solid #004060; border-right: 2px solid #004060;}\r\n"
	"H2 { font-size: 15px; padding-top: 20px; padding-left:50px; padding-right:50px;"
	"color:#004080; font-weight:bold; text-decoration:underline;"
	"border-top: 1px solid #004080;} P, H1, H2 {margin: 0px 0px 5px 0px;}\r\n"
	"-->\r\n"
	
	"</style></head>\r\n"
	"<blockquote>\r\n"
	"<blockquote>\r\n"
	"<blockquote>\r\n"
	"<body><div align=\"center\">\r\n"
	"<h1>AVR Micro-Servo-Cam</h1>\r\n"
	"<BR>\r\n"

	//Kamerabild anzeigen oder Rakete
	#if USE_CAM
	"<p><img src=\"camera.jpg\" width=\"320\" height=\"240\"></p><BR>\r\n"
	#else
	"<p><img src=\"raket.gif\" width=\"90\" height=\"92\"></p><BR>\r\n"
	#endif //USE_CAM

	"<div align=\"center\">"
	"<form name=\"form1\" method=\"post\" action=\"\">"
	"<p>Kamera-Servo:</p>"
  "<input type=\"text\" id=\"SliVal\" name=\"SLI\" VALUE=\"%VA@08\" SIZE=\"3\">"
  // Slider und Javascript
  "<div style=\"position:absolute; margin-top:5; margin-left:10;height:22; width:160\">"
  "<div style=\"position:absolute; top:-1px; left:-1px; height:1px;width:270px; background-color:#606060; overflow:hidden\"></div>"
  "<div style=\"position:absolute; top:-1px; left:-1px; height:17px;width:1px; background-color:#606060; overflow:hidden\"></div>"
  "<div style=\"position:absolute; top:-1px; left:268px; height:17px;width:1px; background-color:#606060; overflow:hidden\"></div>"
  "<div style=\"position:absolute; top:15px; left:-1px; height:1px;width:270px; background-color:#606060; overflow:hidden\"></div>"
  "<div id=\"slider\" style=\"position:absolute; top:-4px; left:%VA@08px;height:20px; width:20px; cursor:pointer\">"
  "<img src=\"balke.gif\" width=12 height=20>"
  
  "<script type=\"text/javascript\">"
  "var isDrag = false;"
  "var sliderButton;"
  "var xo = 0;"

  "slider.onmousedown = mouseDownSlider;"
  "document.onmousemove = mouseMoveSlider;"
  "slider.onmouseup = mouseUpSlider;"

  "function mouseUpSlider(){"
  "isDrag = false;"
  "return true;"
  "}"

  "function mouseDownSlider(e){"
  "isDrag=true;"
  "var tx=parseInt(slider.style.left);"
  "if(document.all){"
  "xo=event.clientX+document.body.scrollLeft-tx;"
  "}"
  "else{"
  "xo=e.pageX-tx;"
  "}"
  "return false;"
  "}"
  "function mouseMoveSlider(e)"
  "{"
  "if(isDrag)"
  "{"
  "if(document.all)"
  "{"
  "x=event.clientX+document.body.scrollLeft;"
  "}"
  "else"
  "{"
  "x=e.pageX;"
  "}"
  "x=Math.max(0,Math.min(x-xo,255));"
  "slider.style.left=x;"
  // *** \/ *** Slider-Wert in Eingabefeld bertragen 
  "document.getElementById('SliVal').value=x;"
  // *** /\ ***
  "}"
  "return false;"
  "}"
  "</script>"
  "</div></div>"
    "<br>"
	"<input type=\"submit\" name=\"SUB\" value=\"O.K.\">"
	"<BR>"
	"</div></div><BR>"
"<p align=\"left\"><h2></h2><BR>\r\n"
"<p><a href=\"index.htm\">Hauptseite</a></p><BR>\r\n"
"<BR><BR><p align=\"left\"> <h2></h2><BR>\r\n"
"<p><a href=\"http://www.ulrichradig.de\">www.ulrichradig.de<br>\r\n"
"</a><br>Ulrich Radig 2009</p><BR></small>\r\n"
"</body></html>\r\n"
"%END"};

//----------------------------------------------------------------------------
//Status Seite
PROGMEM char Page4[] = {
"<blockquote>\r\n"
"<blockquote>\r\n"
"<blockquote>\r\n"
"<body><div align=\"center\">\r\n"
"<h1>Status Page</h1>\r\n"
"</div><BR>\r\n"
"<div>Compiliert am "__DATE__" um " __TIME__"<vr> Compiliert mit GCC Version "__VERSION__"</div>\r\n"
"<div>Besucher seit Start des Webservers (%VA@09)</div>\r\n"

#if USE_NTP
"<BR><div>Aktuelle Zeit: %TIME</div>\r\n"
#endif

"<BR><BR> <p align=\"left\"> <h2></h2><BR>\r\n"
"<p><a href=\"index.htm\">Hauptseite</a></p><BR>\r\n"
//Sliderseite
"<BR><BR> <p align=\"left\"> <h2></h2><BR>\r\n"
"<p><a href=\"Slider.htm\">Kamera-Servo</a></p><BR>\r\n"
"<BR><BR><p align=\"left\"> <h2></h2><BR>\r\n"
"<p><a href=\"http://www.ulrichradig.de\">www.ulrichradig.de<br>\r\n"
"</a><br>Ulrich Radig 2007</p><BR></small>\r\n"
"</body></html>\r\n"
"%END"};

//----------------------------------------------------------------------------
//Das GIF Bild fr LED on
PROGMEM char led_on[] = 
	{
	0x47,0x49,0x46,0x38,0x39,0x61,0x11,0x00,0x11,0x00,0xA5,0x3F,0x00,0x4D,0x4D,0x4D,
	0x50,0x50,0x4F,0x54,0x54,0x54,0x41,0x6A,0x44,0x5C,0x5C,0x5C,0x3F,0x73,0x42,0x62,
	0x62,0x62,0x6A,0x6B,0x6B,0x16,0xA7,0x1E,0x6F,0x6F,0x6F,0x5F,0x7A,0x60,0x19,0xAD,
	0x21,0x1C,0xB2,0x25,0x56,0x94,0x59,0x7B,0x7B,0x7B,0x1A,0xBD,0x23,0x23,0xBA,0x2C,
	0x1B,0xC3,0x25,0x83,0x83,0x83,0x1C,0xCA,0x26,0x7C,0x8B,0x7D,0x1C,0xD3,0x26,0x8B,
	0x8B,0x8B,0x2D,0xCC,0x36,0x1C,0xD8,0x26,0x1D,0xDF,0x28,0x90,0x91,0x91,0x1D,0xE1,
	0x28,0x1E,0xE2,0x29,0x21,0xE2,0x2C,0x35,0xDB,0x3F,0x2E,0xE4,0x38,0x9C,0x9D,0x9D,
	0x3E,0xE6,0x47,0x40,0xE6,0x49,0xA5,0xA5,0xA5,0x47,0xE7,0x50,0x50,0xE4,0x58,0xA9,
	0xA9,0xA9,0x4E,0xE8,0x56,0xAE,0xAE,0xAD,0xAF,0xB0,0xAF,0xB0,0xB0,0xB0,0x64,0xE6,
	0x6B,0xB4,0xB4,0xB5,0xB8,0xB8,0xB9,0x6C,0xEC,0x73,0x77,0xED,0x7D,0xBF,0xC0,0xBF,
	0xC0,0xC0,0xC0,0xC2,0xC2,0xC2,0xA6,0xDA,0xA9,0xC9,0xC8,0xC9,0x93,0xF1,0x98,0xCC,
	0xCC,0xCC,0xD1,0xD1,0xD1,0xA5,0xF3,0xA9,0xD5,0xD5,0xD5,0xDE,0xDE,0xDE,0xE0,0xE0,
	0xE0,0xC5,0xF7,0xC8,0xE7,0xE7,0xE7,0xEF,0xEF,0xEF,0xFF,0xFF,0xFF,0x21,0xF9,0x04,
	0x01,0x0A,0x00,0x3F,0x00,0x2C,0x00,0x00,0x00,0x00,0x11,0x00,0x11,0x00,0x00,0x06,
	0xED,0xC0,0x9F,0x50,0xD8,0xCB,0xC9,0x54,0xA9,0x96,0x6D,0xC8,0xFC,0xF9,0x74,0x37,
	0x1A,0x8C,0x65,0x02,0x69,0x40,0xB4,0xA6,0x6F,0xA7,0x2B,0x2D,0x10,0xE0,0xC5,0x45,
	0xE2,0x68,0x0D,0x7D,0xBB,0x19,0x23,0xE2,0x09,0x7D,0x32,0x95,0xC7,0xA2,0x91,0x80,
	0x09,0x75,0x3A,0xC6,0xC5,0xF5,0x72,0x9D,0x3E,0x1B,0x15,0x13,0x0B,0x09,0x12,0x3F,
	0x3D,0x37,0x1E,0x11,0x2B,0x35,0x38,0x35,0x2E,0x22,0x1D,0x1B,0x18,0x0F,0x10,0x06,
	0x2C,0x39,0x34,0x0B,0x1E,0x2F,0x38,0x3C,0x38,0x2F,0x24,0x1D,0x1B,0x1B,0x15,0x0B,
	0x06,0x16,0x32,0x30,0x08,0x21,0x2E,0x35,0x38,0x35,0x2E,0x22,0x1C,0xA4,0x18,0x08,
	0x04,0x07,0x2A,0x2C,0x08,0x1F,0x27,0x2E,0x2F,0x2E,0x27,0x1F,0xA4,0x1B,0x19,0x08,
	0x04,0x02,0x29,0x26,0x08,0x19,0x1F,0x22,0x24,0x22,0x1F,0xC4,0x1B,0x19,0x08,0x02,
	0x06,0x2D,0x20,0x0B,0x18,0x1B,0x1D,0xDE,0xD3,0x1B,0x15,0x0B,0x02,0x12,0x36,0x1A,
	0x10,0x0F,0xE0,0xD3,0x11,0x10,0x00,0x28,0x3F,0x20,0x14,0x0B,0x13,0xEA,0x1B,0x13,
	0x0B,0x03,0x09,0x42,0x34,0x0E,0x0D,0x0B,0x0F,0x18,0x32,0x6C,0xC8,0x80,0xE1,0xC1,
	0x82,0x02,0x00,0x58,0x0C,0x69,0x91,0x40,0x01,0x84,0x05,0x60,0x10,0x2C,0x60,0x10,
	0x00,0xC0,0x08,0x26,0x3F,0x62,0x48,0x30,0x60,0x80,0x00,0x01,0x01,0x02,0x00,0x24,
	0x60,0x81,0x71,0x08,0x0B,0x0B,0x07,0x04,0x18,0x90,0x80,0x02,0x63,0x10,0x00,0x3B,
	'%','E','N','D'};
	
//----------------------------------------------------------------------------
//Das GIF Bild fr den LED off
PROGMEM char led_off[] =
	{
	0x47,0x49,0x46,0x38,0x39,0x61,0x11,0x00,0x11,0x00,0xA5,0x3F,0x00,0x4D,0x4D,0x4D,
	0x50,0x50,0x50,0x52,0x52,0x52,0x54,0x54,0x54,0x57,0x56,0x57,0x5A,0x5A,0x59,0x5D,
	0x5D,0x5D,0x5E,0x5D,0x5D,0x5E,0x5E,0x5E,0x60,0x60,0x60,0x62,0x62,0x62,0x63,0x63,
	0x63,0x64,0x64,0x64,0x65,0x65,0x65,0x69,0x69,0x69,0x6E,0x6E,0x6E,0x70,0x70,0x70,
	0x77,0x77,0x77,0x78,0x78,0x78,0x7A,0x7A,0x7A,0x7B,0x7B,0x7B,0x7E,0x7E,0x7E,0x7F,
	0x7F,0x7F,0x80,0x80,0x80,0x81,0x81,0x81,0x83,0x83,0x83,0x87,0x87,0x87,0x89,0x89,
	0x89,0x8B,0x8B,0x8B,0x8E,0x8E,0x8E,0x90,0x91,0x91,0x91,0x91,0x92,0x93,0x93,0x93,
	0x97,0x97,0x97,0x9A,0x9A,0x9A,0x9C,0x9C,0x9C,0xA5,0xA5,0xA5,0xA9,0xA9,0xA9,0xAB,
	0xAB,0xAB,0xAC,0xAC,0xAC,0xAE,0xAE,0xAD,0xAF,0xAF,0xAF,0xAF,0xB0,0xAF,0xB0,0xB0,
	0xB0,0xB2,0xB2,0xB2,0xB4,0xB4,0xB4,0xB4,0xB4,0xB5,0xB5,0xB5,0xB5,0xB8,0xB8,0xB9,
	0xBF,0xC0,0xBF,0xBF,0xC0,0xC0,0xC0,0xC0,0xC0,0xC2,0xC2,0xC2,0xC8,0xC8,0xC8,0xC9,
	0xC9,0xC9,0xCC,0xCC,0xCC,0xD1,0xD1,0xD1,0xD5,0xD5,0xD5,0xDD,0xDD,0xDD,0xDE,0xDF,
	0xDE,0xE0,0xE0,0xE0,0xE7,0xE7,0xE7,0xEF,0xEF,0xEF,0xFF,0xFF,0xFF,0x21,0xF9,0x04,
	0x01,0x0A,0x00,0x3F,0x00,0x2C,0x00,0x00,0x00,0x00,0x11,0x00,0x11,0x00,0x00,0x06,
	0xEC,0xC0,0x9F,0x50,0xD8,0xCB,0xD1,0x56,0x2A,0xD8,0x6D,0xC8,0xFC,0xF9,0x76,0xB8,
	0x5A,0xEC,0x55,0x1A,0x79,0x46,0xB5,0xA6,0x8F,0xA7,0x13,0x35,0x10,0x06,0xC4,0x42,
	0xA3,0xA1,0xC0,0x86,0x3E,0xDE,0xCC,0x31,0xE9,0x7C,0x36,0x95,0x09,0xA4,0x11,0x81,
	0xC8,0x84,0x3B,0x9D,0xA3,0x73,0x62,0x9D,0x46,0x1B,0x16,0x16,0x12,0x0C,0x0F,0x18,
	0x3F,0x3D,0x38,0x1F,0x13,0x27,0x34,0x37,0x34,0x27,0x20,0x18,0x82,0x10,0x12,0x0A,
	0x2E,0x39,0x36,0x0D,0x1D,0x2C,0x37,0x3B,0x37,0x2C,0x21,0x19,0x82,0x13,0x0A,0x09,
	0x1C,0x34,0x31,0x08,0x1F,0x26,0x34,0x37,0x34,0x27,0x20,0x17,0x82,0x15,0x08,0x07,
	0x0E,0x2B,0x2F,0x06,0x1B,0x23,0x27,0x2C,0x27,0x23,0x1B,0x82,0x82,0x06,0x05,0x03,
	0x29,0x25,0x08,0x15,0x1B,0x20,0x21,0x20,0x1B,0xC3,0x16,0x15,0x08,0x04,0x0C,0x30,
	0x23,0x0B,0x13,0x16,0x18,0x19,0x18,0xD1,0x16,0x13,0x0A,0x02,0x19,0x37,0x1E,0x17,
	0x10,0xDF,0xD1,0x10,0x15,0x00,0x28,0x3F,0x23,0x1A,0x0D,0x12,0xE9,0x16,0x12,0x0A,
	0x01,0x0F,0x42,0x35,0x14,0x11,0x0C,0x10,0x13,0x15,0x2C,0x54,0x98,0x00,0x41,0x41,
	0x01,0x00,0x2D,0x86,0xC0,0x80,0xF0,0x40,0x82,0x02,0x04,0x06,0x10,0x28,0x78,0x10,
	0x00,0x00,0x89,0x26,0x33,0x30,0x28,0x48,0x60,0xA0,0x00,0x01,0x01,0x00,0x1E,0xB4,
	0x68,0x32,0xC4,0x05,0x07,0x07,0x03,0x18,0x64,0x40,0xD1,0x24,0x08,0x00,0x3B,
	'%','E','N','D'};
	
//----------------------------------------------------------------------------
//Das GIF Bild fr den Balken
PROGMEM char bild_balken[] = 
	{
	0x47,0x49,0x46,0x38,0x39,0x61,0x02,0x00,0x0A,0x00,0xA2,0x00,0x00,0xA2,0xA5,0xED,
	0x84,0x8F,0xE5,0x66,0x7C,0xDD,0x49,0x60,0xD6,0x21,0x44,0xDA,0xFE,0x01,0x02,0x00,
	0x00,0x00,0x00,0x00,0x00,0x21,0xF9,0x04,0x05,0x14,0x00,0x05,0x00,0x2C,0x00,0x00,
	0x00,0x00,0x02,0x00,0x0A,0x00,0x00,0x03,0x0A,0x48,0x34,0x23,0x12,0x01,0x48,0x00,
	0x1D,0x53,0x09,0x00,0x3B,'%','E','N','D'};

//----------------------------------------------------------------------------
//Das GIF Bild fr die Rakete
PROGMEM char bild_rakete[] = 
	{
	0x47,0x49,0x46,0x38,0x39,0x61,0x0f,0x00,0x0f,0x00,0xb3,0x0d,0x00,0x45,0x45,0x45,
	0xff,0xea,0x00,0x00,0x00,0x00,0xff,0xff,0xff,0xff,0xce,0x00,0xff,0xc9,0x00,0xff,
	0xb4,0x00,0xfe,0x9d,0x00,0xff,0xfe,0x93,0xff,0xfd,0x13,0xff,0xff,0xc7,0xff,0xff,
	0xeb,0xff,0xe5,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x21,0xf9,0x04,
	0x01,0x00,0x00,0x0d,0x00,0x2c,0x00,0x00,0x00,0x00,0x0f,0x00,0x0f,0x00,0x00,0x04,
	0x59,0xb0,0x49,0x09,0x6a,0x9d,0xb8,0xd5,0xa5,0x10,0x22,0x17,0x06,0x70,0x49,0x12,
	0x9c,0xc4,0x01,0x4c,0x40,0x67,0x9e,0x70,0xba,0x6a,0x88,0x29,0xc0,0x77,0x00,0x6a,
	0xca,0x9b,0x07,0xb9,0x82,0x0a,0x80,0xf8,0xc1,0x70,0x86,0x4a,0x51,0xc0,0x6c,0x3a,
	0x93,0x00,0xdb,0x60,0x4a,0x1d,0x08,0x0a,0x50,0x02,0xb0,0x4a,0xbd,0xaa,0x34,0x5a,
	0x01,0xf7,0xba,0x03,0x13,0x18,0x4e,0xf2,0x97,0x42,0x20,0x14,0xde,0x6f,0x59,0xa6,
	0x62,0xa8,0x1b,0x86,0x19,0x96,0x65,0x36,0x89,0x00,0x00,0x3b,  '%','E','N','D'};
	
//Nur Dateiname und Pointer eintragen	
WEBPAGE_ITEM WEBPAGE_TABLE[] = // Befehls-Tabelle
{
	{"index.htm",Page1},
	{"Slider.htm",Page2},
	{"Status.htm",Page4},
	#if USE_CAM
	{"camera.jpg",bild_balken},
	#endif //USE_CAM
	{"raket.gif",bild_rakete},
	{"balke.gif",bild_balken},
	{"ledon.gif",led_on},
	{"ledoff.gif",led_off},
	{NULL,NULL} 
};

#endif //_WEBPAGE_H








